/*
 * @Author: zc
 * @description 业务管理-工单甄别
 */
import request from '@/utils/request';
/**
 * @description 工单待申请甄别列表
 * @param {object} params
 */
export const screenApplyList = (params: object) => {
	return request({
		url: `/api/v1/Order/mayscreen`,
		method: 'get',
		params,
	});
};
/**
 * @description 工单待申请甄别列表导出
 * @param {object} data
 */
export const screenApplyListExport = (data: object) => {
	return request({
		url: `/api/v1/Order/mayscreen/_export`,
		method: 'post',
			responseType: 'blob',
			data,
		},
		{
			reduce_data_format: false,
		});
}
/**
 * @description 工单甄别列表
 * @param {object} params
 */
export const screenList = (params: object) => {
	return request({
		url: `/api/v1/Order/screen`,
		method: 'get',
		params,
	});
};
/**
 * @description 工单甄别列表导出
 * @param {object} data
 */
export const screenListExport = (data: object) => {
	return request({
		url: `/api/v1/Order/screen_list/_export`,
		method: 'post',
			responseType: 'blob',
			data,
		},
		{
			reduce_data_format: false,
		});
};
/**
 * @description 甄别列表页基础数据
 */
export const screenBaseData = () => {
	return request({
		url: `/api/v1/Order/screen/base`,
		method: 'GET',
	});
};
/**
 * @description 甄别详情
 * @param {string} id
 */
export const screenDetail = (id: string) => {
	return request({
		url: `/api/v1/Order/screen/${id}`,
		method: 'get',
	});
};
/**
 * @description 发起甄别（申请甄别）开启流程
 * @param {object} data
 */
export const discernApply = (data: object) => {
	return request({
		url: `/api/v1/Order/screen/startflow`,
		method: 'post',
		data,
	});
};
/**
 * @description 查询工单甄别流程开启参数
 */
export const workflowDiscernParams = () => {
	return request({
		url: `/api/v1/Order/screen/startflow`,
		method: 'get',
	});
};
/**
 * @description 甄别审批参数
 * @param {string} workflowId
 */
export const discernApproveParams = (workflowId:string) => {
	return request({
		url: `/api/v1/Order/screen/${workflowId}/nextsteps`,
		method: 'get'
	});
}
/**
 * @description 甄别修改
 * @param {object} data
 */
export const discernUpdate = (data: object) => {
	return request({
		url: `/api/v1/Order/screen/initial_nextFlow`,
		method: 'post',
		data,
	});
}
/**
 * @description 甄别修改提起时限
 * @param {object} data
 */
export const discernUpdateTime = (data: object) => {
	return request({
		url: `/api/v1/Order/order_screen_endtime`,
		method: 'put',
		data,
	});
}