/*
 * @Author: zc
 * @description 案例库 - 类型管理
 */
import request from '@/utils/request';
/**
 * @description 案例管理类型树形
 * @param {object} params 如果传入参数 IsEnable 表示查询已启用
 */

export const caseTreeList = (params?: object) => {
	return request({
		url: '/api/v1/Case/type/treelist',
		method: 'get',
		params,
	});
};
/**
 * @description 新增案例库类型
 * @param {object} data
 */

export const addCaseType = (data: object) => {
	return request({
		url: '/api/v1/Case/type/add',
		method: 'post',
		data,
	});
};
/**
 * @description 编辑案例库类型
 * @param {object} data
 */
export const updateCaseType = (data: object) => {
	return request({
		url: '/api/v1/Case/type/update',
		method: 'put',
		data,
	});
};
/**
 * @description 查询案例库类型详情
 * @param {object} Id
 */
export const caseTypeDetail = (Id: string) => {
	return request({
		url: `/api/v1/Case/type/info/${Id}`,
		method: 'get',
	});
};
/**
 * @description 删除案例库类型
 * @param {object} Id
 */
export const delCaseType = (Id: string) => {
	return request({
		url: `/api/v1/Case/type/remove/${Id}`,
		method: 'delete',
	});
};