/*
 * @Author: zc
 * @description 知识管理 - 收藏
 */
import request from '@/utils/request';
/**
 * @description 知识收藏列表
 * @param params
 * @return {*}
 */
export const collectList = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_collect/list',
		method: 'get',
		params,
	});
};
/**
 * @description 获取知识收藏列表
 * @param params
 * @return {*}
 */
export const getCollectList = (params?: object) => {
	return request({
		url: '/api/v1/Knowledge/group',
		method: 'get',
		params,
	});
};
/**
 * @description 新增收藏分组
 * @param data
 * @return {*}
 */
export const addCollectGroup = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/group',
		method: 'post',
		data,
	});
};
/**
 * @description 删除收藏分组
 * @param id
 * @return {*}
 */
export const delCollectGroup = (id: string) => {
	return request({
		url: `/api/v1/Knowledge/group?id=${id}`,
		method: 'delete'
	});
};