/*
 * @Author: zc
 * @description 知识管理 - 热词管理
 */
import request from '@/utils/request';
/**
 * @description 获取知识库热词基础数据
 * @return {*}
 */
export const getKnowledgeHotWordsBaseData = () => {
	return request({
		url: '/api/v1/Knowledge/hotword/basedata',
		method: 'get',
	});
};
/**
 * @description 获取知识库热词列表
 * @param params
 * @return {*}
 */
export const getKnowledgeHotWordsList = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/hotword',
		method: 'get',
		params,
	});
};
/**
 * @description 新增知识库热词
 * @param data
 * @return {*}
 */
export const addKnowledgeHotWords = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/hotword',
		method: 'post',
		data,
	});
};
/**
 * @description 删除知识库热词
 * @param id
 * @return {*}
 */
export const delKnowledgeHotWords = (id: string) => {
	return request({
		url: `/api/v1/Knowledge/hotword?id=${id}`,
		method: 'delete',
	});
};
/**
 * @description 修改知识库热词
 * @param data
 * @return {*}
 */
export const updateKnowledgeHotWords = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/hotword',
		method: 'put',
		data,
	});
};
