/*
 * @Author: zc
 * @description 知识管理 - 检索
 */
import request from '@/utils/request';
/**
 * @description 知识检索基础数据
 * @return {*}
 */
export const knowledgeRetrievalBaseData = () => {
	return request({
		url: '/api/v1/Knowledge/knowretrieval/base_data',
		method: 'get',
	});
};
/**
 * @description 知识检索-来电弹瓶
 * @param data
 * @return {*}
 */
export const knowledgeRetrievalAccept = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/knowretrieval',
		method: 'post',
		data,
	});
};
/**
 * @description 知识检索
 * @param params
 * @return {*}
 */
export const knowledgeRetrieval = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/knowretrieval',
		method: 'get',
		params,
	});
};
/**
 * @description 知识检索-top10
 * @param params
 * @return {*}
 */
export const searchNumList = (params?: object) => {
	return request({
		url: '/api/v1/Knowledge/search_num/list',
		method: 'get',
		params,
	});
};
/**
 * @description 知识检索-增加搜索量
 * @param data
 * @return {*}
 */
export const searchNumAdd = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/search_num',
		method: 'post',
		data,
	});
};
