/*
 * @Author: zc
 * @description 业务查询-会签查询
 */
import request from '@/utils/request';
/**
 * @description 会签列表
 * @param {object} params
 */
export const countersignData = (params: object) => {
	return request({
		url: `/api/v1/Workflow/order-countersign`,
		method: 'get',
		params,
	});
};
/**
 * @description 会签列表导出
 * @param {object} data
 */
export const countersignDataExport = (data: object) => {
	return request({
		url: `/api/v1/Workflow/order-countersign/_export`,
		method: 'post',
		data,
		responseType: 'blob',
	},{
		reduce_data_format:false
	});
}
/**
 * @description 会签列表基础信息
 * @param {object} params
 */
export const countersignBase = (params?: object) => {
	return request({
		url: `/api/v1/Workflow/order-countersign-base-data`,
		method: 'get',
		params
	});
};
