/*
 * @Author: zc
 * @description 业务查询-观察件查询
 */
import request from '@/utils/request';
/**
 * @description 新增观察件
 * @param {object} data
 */
export const addObserve = (data:object) => {
    return request({
        url: `/api/v1/Order/order_observe`,
        method: 'post',
        data
    });
};
/**
 * @description 删除观察件
 * @param {object} data
 */
export const deleteObserve = (data:object) => {
    return request({
        url: `/api/v1/Order/order_observe`,
        method: 'delete',
        data
    });
};
/**
 * @description 观察件列表（关注工单）基础数据
 * @param {object} params
 */
export const observeBaseData = (params?:object) => {
    return request({
        url: `/api/v1/Order/order_observe/base-data`,
        method: 'get',
        params
    });
};
/**
 * @description 观察件列表（关注工单）
 * @param {object} params
 */
export const observeList = (params:object) => {
    return request({
        url: `/api/v1/Order/order_observe/list`,
        method: 'get',
        params
    });
};
/**
 * @description 观察件列表（关注工单）导出
 * @param {object} data
 */
export const observeListExport = (data:object) => {
    return request({
        url: `/api/v1/Order/order_observe/list/export`,
        method: 'post',
        data,
        responseType: 'blob',
    },{
        reduce_data_format:false
    });
};