/*
 * @Author: zc
 * @description 业务查询-工单超期查询
 */
import request from '@/utils/request';
/**
 * @description 工单超期列表
 * @param {object} params
 */
export const overdueList = (params:object) => {
    return request({
        url: `/api/v1/Order/order/expire/list`,
        method: 'get',
        params
    });
};
/**
 * @description 工单超期列表导出
 * @param {object} data
 */
export const exportOverdueList = (data:object) => {
    return request({
        url: `/api/v1/Order/order/expire/_export`,
        method: 'post',
        data,
        responseType: 'blob'
    }, {
        reduce_data_format: false
    });
};
/**
 * @description 工单即将超期列表
 * @param {object} params
 */
export const overdueSoonList = (params:object) => {
    return request({
        url: `/api/v1/Order/order/about_expire/list`,
        method: 'get',
        params
    });
};
/**
 * @description 工单即将超期列表--固定
 * @param {object} params
 */
export const overdueSoonListFixed = (params:object) => {
    return request({
        url: `/api/v1/Order/order/about_expire/list_items`,
        method: 'get',
        params
    });
}
/**
 * @description 工单即将超期列表--总数
 * @param {object} params
 */
export const overdueSoonListTotal = (params:object) => {
    return request({
        url: `/api/v1/Order/order/about_expire/list_count`,
        method: 'get',
        params
    });
}
/**
 * @description 工单即将超期列表导出
 * @param {object} data
 */
export const exportOverdueSoon = (data:object) => {
    return request({
        url: `/api/v1/Order/order/about_expire/_export`,
        method: 'post',
        data,
        responseType: 'blob'
    }, {
        reduce_data_format: false
    });
};