/*
 * @Author: zc
 * @description 随手拍-中心标注
 */
import request from '@/utils/request';
/**
 * @description 获取工单标记集合
 * @param {object} params
 */
export const centerMarkList = (params?: object) => {
  return request({
    url: '/api/v1/SnapshotOrder/labeled',
    method: 'get',
    params,
  });
};
/**
 * @description 获取标记详情
 * @param {string} id
 */
export const centerMarkDetail = (id: string) => {
  return request({
    url: `/api/v1/SnapshotOrder/label/${id}`,
    method: 'get',
  });
};
/**
 * @description 修改工单标记
 * @param {object} data
 */
export const centerMarkUpdate = (data: object) => {
  return request({
    url: '/api/v1/SnapshotOrder/label',
    method: 'put',
    data,
  });
};
/**
 * @description 获取中心标注列表日志
 * @param {object} params
 */
export const centerMarkListLog = (params?: object) => {
  return request({
    url: '/api/v1/SnapshotOrder/label/log',
    method: 'get',
    params,
  });
};