export const YBTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{ field: 'no', title: '工单编码', width: 140 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'reTransactNum', title: '重办次数', width: 90 },
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'expiredTime',
		title: '工单期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'creationTime',
		title: '生成时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'startTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	{ field: 'hotspotName', title: '热点分类', width: 150 },
	{ field: 'acceptorName', title: '受理人', width: 120 },
]

export const ZGTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{ field: 'no', title: '工单编码', width: 140 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'reTransactNum', title: '重办次数', width: 90 },
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'expiredTime',
		title: '工单期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'creationTime',
		title: '生成时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'startTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	{ field: 'hotspotName', title: '热点分类', width: 150 },
	{ field: 'acceptorName', title: '受理人', width: 120 },
];

export const LZTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{ field: 'remainingTime', title: '剩余办理时间', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'no', title: '工单编码', width: 140 },
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'startTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'acceptorName', title: '受理人', width: 120 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'hotspotName', title: '热点分类', width: 150 },
	{
		field: 'expiredTime',
		title: '期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},{
		field: 'creationTime',
		title: '生成时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},

	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	{ field: 'reTransactNum', title: '重办次数', width: 90 },
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
]